Subject: FW: Micromine License
From: Joseph Rwagatare <[email-masked]>
To: Fraterne Muhirwa <[email-masked]>
Date: Fri, 10 Apr 2026 13:46:46 +0000

Joseph Rwagatare
Mine Planning Engineer
Trinity Nyakabingo Mine
+250 781618766
www.trinity-metals.com<http://www.trinity-metals.com/>
[https://lh5.googleusercontent.com/N4NSpocfd7fetnDdYsNh4EpYeSI9gvrln5piQfo99RcBZRAQ-o2-wBFGEQOQMmYVDZ222TKgmFec22VYHaf-aHsPKewl1_3G1w729Gzxg42-hBa2mDGNdzwYMA0rSj1fk-DOj0FtNvaPqvcRTqYKIo4iH1fsSsM2kvMMpy6YLAogO8IqF1U]

From: Llene Toledo <[email-masked]>
Sent: Wednesday, January 14, 2026 1:04 PM
To: Gratien Maniriho <[email-masked]>; Eric Niyokuri <[email-masked]>; Siobhan Joubert <[email-masked]>; Jeome Sande <[email-masked]>; Sebastian Rutiririza <[email-masked]>; Joseph Muhiire <[email-masked]>; Jean Claude Habyarimana <[email-masked]>; Reagan Muvara <[email-masked]>
Cc: Missionnaire Mbanza <[email-masked]>; Shane Ryan <[email-masked]>; Joseph Rwagatare <[email-masked]>; Freddy Chikwiri <[email-masked]>
Subject: RE: Micromine License

Dear all,

Below are the budget software under group.  Micromine is for $134k.  The allocation to the site is as follows:

2026 Fcst
Nyakabingo Mine
37%
Rutongo Mines
35%
Musha Mine
27%
TOTAL
100%

Copying @Reagan Muvara<mailto:[email-masked]> and @Jean Claude Habyarimana<mailto:[email-masked]> as well.

Llene Toledo
Group Treasury Manager
Trinity Metals
+250 795302705
www.trinity-metals.com<https://urldefense.com/v3/__http:/www.trinity-metals.com__;!!JVdEIOtlcPXZ!87tJSXyGfbfeeaTZHzJVyJAHgQj_1DtHF0Duy0x1mgHonrfpoo8rxukXpIcYELxqdOMGetACqRdFam4u1P5J0F8OfMMnvJFkf5s$>

From: Gratien Maniriho <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, January 14, 2026 11:24 AM
To: Eric Niyokuri <[email-masked]<mailto:[email-masked]>>; Siobhan Joubert <[email-masked]<mailto:[email-masked]>>; Llene Toledo <[email-masked]<mailto:[email-masked]>>; Jeome Sande <[email-masked]<mailto:[email-masked]>>; Sebastian Rutiririza <[email-masked]<mailto:[email-masked]>>; Joseph Muhiire <[email-masked]<mailto:[email-masked]>>
Cc: Missionnaire Mbanza <[email-masked]<mailto:[email-masked]>>; Shane Ryan <[email-masked]<mailto:[email-masked]>>; Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>; Freddy Chikwiri <[email-masked]<mailto:[email-masked]>>
Subject: RE: Micromine License

Dear Eric,

I wrote to Llene for confirmation  so I am waiting her reply on it.thank you

Gratien Maniriho (CPA)
Finance Superintendent
Trinity Musha Mines Ltd)
+250 785617997
www.trinity-metals.com<http://www.trinity-metals.com/>

From: Eric Niyokuri <[email-masked]<mailto:[email-masked]>>
Sent: 14 January 2026 11:21
To: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>; Llene Toledo <[email-masked]<mailto:[email-masked]>>; Jeome Sande <[email-masked]<mailto:[email-masked]>>; Gratien Maniriho <[email-masked]<mailto:[email-masked]>>; Sebastian Rutiririza <[email-masked]<mailto:[email-masked]>>; Joseph Muhiire <[email-masked]<mailto:[email-masked]>>
Cc: Missionnaire Mbanza <[email-masked]<mailto:[email-masked]>>; Shane Ryan <[email-masked]<mailto:[email-masked]>>; Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>; Freddy Chikwiri <[email-masked]<mailto:[email-masked]>>
Subject: Re: Micromine License

Thanks Siobhan,

@Gratien Maniriho<mailto:[email-masked]> you have confirmation that the Micromine and other software are in the budget for 2026.

Regards

Eric Niyokuri

Mineral Resource Manager

+250785921507

http://www.trinity-metals.com/

Enabling a Better Future

________________________________
From: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, January 14, 2026 10:49 AM
To: Eric Niyokuri <[email-masked]<mailto:[email-masked]>>; Llene Toledo <[email-masked]<mailto:[email-masked]>>; Jeome Sande <[email-masked]<mailto:[email-masked]>>; Gratien Maniriho <[email-masked]<mailto:[email-masked]>>; Sebastian Rutiririza <[email-masked]<mailto:[email-masked]>>; Joseph Muhiire <[email-masked]<mailto:[email-masked]>>
Cc: Missionnaire Mbanza <[email-masked]<mailto:[email-masked]>>; Shane Ryan <[email-masked]<mailto:[email-masked]>>; Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>; Freddy Chikwiri <[email-masked]<mailto:[email-masked]>>
Subject: RE: Micromine License

Dear Eric,

Happy to help where I can, and perhaps Llene can assist with some clarity on how the Group approved budget flows through the system for payment down to the individual sites, as Micromine for example was budgeted for payment in January. It is a requirement to split the payments across all three sites for their individual licenses as has been communicated in the attached table in email and consistent with the payment process of Micromine in 2025.

As a recap of requests, the quotation from Micromine was circulated 17 December with all MRMs and requested to load into 4Flow, only the quotation and Bid Waiver/Sole Supplier form communicated for loading into 4Flow - a CNA is not a requirement for services such as licences. The following day we received confirmation of acceptance of the Base Case and the Group Budget for licences was shared with all MRMs; which included the licence budget per site in cases where quotations had been received.  I have attached the email for your discussion with Gratien and Sebastian. @Joseph Rwagatare<mailto:[email-masked]> and @Freddy Chikwiri<mailto:[email-masked]> will be confirming/finalizing quotations for the Deswik and Geotech Licenses for loading in February - as was reviewed yesterday. Once these are received, we will update the licence list and circulate.

Discussion with Micromine in December indicated that Trinity may be considered for an Enterprise Tier business relationship which would qualify us for additional licences. Unfortunately, last week the feedback was that our turnover did not meet the requirements. You received an email last week explaining Micromine would extend our current licence on the basis that PO's be generated and provided by 23 January.

Let's push to provide the remaining items in 4Flow that were requested last year and by Jeome yesterday in order to have the contracts drafted for Micromine and Microsurvey.

Kind regards, Siobhan

From: Eric Niyokuri <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, January 14, 2026 9:56 AM
To: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>; Llene Toledo <[email-masked]<mailto:[email-masked]>>; Jeome Sande <[email-masked]<mailto:[email-masked]>>; Gratien Maniriho <[email-masked]<mailto:[email-masked]>>; Sebastian Rutiririza <[email-masked]<mailto:[email-masked]>>; Joseph Muhiire <[email-masked]<mailto:[email-masked]>>
Cc: Missionnaire Mbanza <[email-masked]<mailto:[email-masked]>>
Subject: Micromine License

Good morning all,

I am writing this email asking that you provide clarification to @Gratien Maniriho<mailto:[email-masked]> and @Sebastian Rutiririza<mailto:[email-masked]> regarding the requisition of the Micromine license and the amounts that need to be paid if they have been budgeted or not and whether this expense has a capital application or CNA approved for them to also approve on their part.

In all honesty, I am not privy to information regarding Group Budget and sending back and forth routed requistions in 4flow is only going to make us lose time and for all I know, we have to generate a P.O by 23rd Jan.

Kind regards

Eric Niyokuri

Mineral Resource Manager

+250785921507

http://www.trinity-metals.com/

Enabling a Better Future